Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 525210

Summary: Review Request: rubygem-trollop - A command-line option parsing library for ruby
Product: [Fedora] Fedora Reporter: Jan Klepek <jan.klepek>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, kmcmartin, notting
Target Milestone: ---Flags: mtasaka: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.15-1.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-04 16:07:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 525211    

Description Jan Klepek 2009-09-23 16:45:52 UTC
Spec URL: http://hpejakle.fedorapeople.org/packages/rubygem-trollop.spec
SRPM URL:
http://hpejakle.fedorapeople.org/packages/rubygem-trollop-1.14.2-0.fc11.src.rpm
Description: A command-line option parsing library for ruby. Trollop is
designed to provide the maximal amount of GNU-style argument processing in the
minimum
number of lines of code (for you, the programmer).  

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1701252

Comment 1 Jan Klepek 2009-09-23 16:49:11 UTC
*** Bug 481523 has been marked as a duplicate of this bug. ***

Comment 2 Mamoru TASAKA 2009-09-24 09:01:11 UTC
Well, the version is 1.14, 1.14.2.

For 1.14-0:
* License
  - Well README says the license is the same as Ruby,
    lib/trollop.rb says it is under GPLv2. So the license
    tag should be "GPLv2"

* Redundant macro
  - Is the definition of %ruby_sitelib needed?

* %check
  - As this gem contains test/ directory, please add %check
    stage and execute a test program.

* Directory ownership issue
  - The directory %geminstdir itself is not owned by any packages.

Comment 3 Mamoru TASAKA 2009-09-24 09:15:42 UTC
Also please see my comments on bug 525211 comment 2

Comment 4 Jan Klepek 2009-09-25 05:17:08 UTC
(In reply to comment #2)
> Well, the version is 1.14, 1.14.2.
> 
> For 1.14-0:
> * License
>   - Well README says the license is the same as Ruby,
>     lib/trollop.rb says it is under GPLv2. So the license
>     tag should be "GPLv2"
> 
> * Redundant macro
>   - Is the definition of %ruby_sitelib needed?
> 
> * %check
>   - As this gem contains test/ directory, please add %check
>     stage and execute a test program.
> 
> * Directory ownership issue
>   - The directory %geminstdir itself is not owned by any packages.  

-all fixed
Spec URL: http://hpejakle.fedorapeople.org/packages/rubygem-trollop.spec
SRPM URL:
http://hpejakle.fedorapeople.org/packages/rubygem-trollop-1.14-1.fc11.src.rpm

Comment 5 Mamoru TASAKA 2009-10-01 17:46:26 UTC
Well, upstream released 1.15, so please upgrade.

Comment 7 Mamoru TASAKA 2009-10-03 17:24:52 UTC
Okay.

-------------------------------------------------------------
    This package (rubygem-trollop) is APPROVED by mtasaka
-------------------------------------------------------------

Comment 8 Jan Klepek 2009-10-03 18:36:31 UTC
New Package CVS Request
=======================
Package Name: rubygem-trollop
Short Description: A command-line option parsing library for ruby
Owners: hpejakle
Branches: F-10 F-11 F-12 EL-5
InitialCC:

Comment 9 Kevin Fenzi 2009-10-03 21:26:39 UTC
cvs done.

Comment 10 Fedora Update System 2009-10-04 09:25:57 UTC
rubygem-trollop-1.15-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-trollop-1.15-1.fc11

Comment 11 Fedora Update System 2009-10-04 09:26:03 UTC
rubygem-trollop-1.15-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rubygem-trollop-1.15-1.fc10

Comment 12 Fedora Update System 2009-10-04 09:26:08 UTC
rubygem-trollop-1.15-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/rubygem-trollop-1.15-1.el5

Comment 13 Mamoru TASAKA 2009-10-04 16:07:35 UTC
Please submit push request also for F-12 (now bodhi accepts
push request for F-12).

Closing.

Comment 14 Fedora Update System 2009-10-06 09:59:55 UTC
rubygem-trollop-1.15-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-10-06 10:00:35 UTC
rubygem-trollop-1.15-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-10-07 15:57:40 UTC
rubygem-ditz-0.5-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-ditz-0.5-4.fc11

Comment 17 Fedora Update System 2009-10-07 15:57:45 UTC
rubygem-ditz-0.5-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/rubygem-ditz-0.5-4.el5

Comment 18 Fedora Update System 2009-10-07 15:57:50 UTC
rubygem-ditz-0.5-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-ditz-0.5-4.fc12

Comment 19 Fedora Update System 2009-10-07 15:57:55 UTC
rubygem-ditz-0.5-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rubygem-ditz-0.5-4.fc10

Comment 20 Fedora Update System 2009-10-09 03:42:53 UTC
rubygem-ditz-0.5-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2009-10-09 03:44:30 UTC
rubygem-ditz-0.5-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2009-11-20 23:27:07 UTC
rubygem-trollop-1.15-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.